{% extends "layout.jinja2" %}

{% block pagestyles %}
  <link href="{{ url_for('static', filename='dist/css/account.css') }}" rel="stylesheet" type="text/css">
{% endblock %}

{% block content %}
    <div class="form-wrapper">

    <div class="logo">
      <img src="{{ url_for('static', filename='dist/img/logo.png') }}" alt="logo"/>
    </div>

    {% for message in get_flashed_messages() %}
        <div class="alert alert-warning">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            {{ message }}
        </div>
    {% endfor %}

    <h1>Formulaire de création de machine virtuelle</h1>

    <form method="POST" action="/formulaire/init/">
        {{ form.csrf_token }}
        <fieldset class="name">
            {{ form.name.label }}
            {{ form.name(placeholder='Machine virtuel') }}
            {% if form.name.errors %}
                <ul class="errors">
                    {% for error in form.name.errors %}
                        <li>{{ error }}</li>{% endfor %}
                </ul>
            {% endif %}
        </fieldset>
        <fieldset class="stockage">
            {{ form.stockage.label }}
            {{ form.stockage(placeholder='Mémoire de stockage') }}
            {% if form.stockage.errors %}
                <ul class="errors">
                    {% for error in form.stockage.errors %}
                        <li>{{ error }}</li>{% endfor %}
                </ul>
            {% endif %}
        </fieldset>
        <fieldset class="os">
            {{ form.os.label }}
            {{ form.os(placeholder='Environnement') }}
            {% if form.os.errors %}
                <ul class="errors">
                    {% for error in form.os.errors %}
                        <li>{{ error }}</li>{% endfor %}
                </ul>
            {% endif %}
        </fieldset>
        <fieldset class="cpu">
            {{ form.cpu.label }}
            {{ form.cpu(placeholder='Nombre de CPU') }}
            {% if form.cpu.errors %}
                <ul class="errors">
                    {% for error in form.cpu.errors %}
                        <li>{{ error }}</li>{% endfor %}
                </ul>
            {% endif %}
        </fieldset>
{#        <fieldset class="ram">#}
{#            {{ form.ram.label }}#}
{#            {{ form.ram(placeholder='Mémoire ram') }}#}
{#            {% if form.ram.errors %}#}
{#                <ul class="errors">#}
{#                    {% for error in form.ram.errors %}#}
{#                        <li>{{ error }}</li>{% endfor %}#}
{#                </ul>#}
{#            {% endif %}#}
{#        </fieldset>#}
{#        <fieldset class="groupe">#}
{#            {{ form.groupe.label }}#}
{#            {{ form.groupe(placeholder='Groupe') }}#}
{#            {% if form.groupe.errors %}#}
{#                <ul class="<errors></errors>">#}
{#                    {% for error in form.groupe.errors %}#}
{#                        <li>{{ error }}</li>{% endfor %}#}
{#                </ul>#}
{#            {% endif %}#}
{#        </fieldset>#}
{#        <fieldset class="netcard">#}
{#            {{ form.netcard.label }}#}
{#            {{ form.netcard(placeholder='Nombre de cartes réseau') }}#}
{#            {% if form.netcard.errors %}#}
{#                <ul class="errors">#}
{#                    {% for error in form.netcard.errors %}#}
{#                        <li>{{ error }}</li>{% endfor %}#}
{#                </ul>#}
{#            {% endif %}#}
{#        </fieldset>#}
{#        <fieldset class="hyperviseur">#}
{#            {{ form.hyperviseur.label }}#}
{#            {{ form.hyperviseur(placeholder='Hyperviseur de rattachement') }}#}
{#            {% if form.hyperviseur.errors %}#}
{#                <ul class="errors">#}
{#                    {% for error in form.hyperviseur.errors %}#}
{#                        <li>{{ error }}</li>{% endfor %}#}
{#                </ul>#}
{#            {% endif %}#}
{#        </fieldset>#}
        <div class="submit-button">
            {{ form.submit }}
        </div>

    </form>
  </div>
{% endblock %}